CLStencilTable Class Reference

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends
Public Member Functions | Static Public Member Functions | List of all members
CLStencilTable Class Reference

OpenCL stencil table. More...

`#include <clEvaluator.h>`

## Public Member Functions
| CLStencilTable (Far::StencilTable const *stencilTable, cl_context clContext)
| CLStencilTable (Far::LimitStencilTable const *limitStencilTable, cl_context clContext)
| ~CLStencilTable ()
cl_mem | GetSizesBuffer () const
cl_mem | GetOffsetsBuffer () const
cl_mem | GetIndicesBuffer () const
cl_mem | GetWeightsBuffer () const
cl_mem | GetDuWeightsBuffer () const
cl_mem | GetDvWeightsBuffer () const
int | GetNumStencils () const

## Static Public Member Functions
template<typename DEVICE_CONTEXT >
static CLStencilTable * | Create (Far::StencilTable const *stencilTable, DEVICE_CONTEXT context)
template<typename DEVICE_CONTEXT >
static CLStencilTable * | Create (Far::LimitStencilTable const *limitStencilTable, DEVICE_CONTEXT context)

## Detailed Description

OpenCL stencil table.

This class is an OpenCL buffer representation of Far::StencilTable.

CLCompute consumes this table to apply stencils

Definition at line 50 of file clEvaluator.h.

## Constructor & Destructor Documentation

CLStencilTable | ( | Far::StencilTable const * | stencilTable,
|  | cl_context | clContext
| ) |  |

CLStencilTable | ( | Far::LimitStencilTable const * | limitStencilTable,
|  | cl_context | clContext
| ) |  |

~CLStencilTable | ( |  | ) |

## Member Function Documentation

static CLStencilTable* Create | ( | Far::StencilTable const * | stencilTable,
|  | DEVICE_CONTEXT | context
| ) |  |
| inlinestatic

Definition at line 53 of file clEvaluator.h.

static CLStencilTable* Create | ( | Far::LimitStencilTable const * | limitStencilTable,
|  | DEVICE_CONTEXT | context
| ) |  |
| inlinestatic

Definition at line 59 of file clEvaluator.h.

cl_mem GetDuWeightsBuffer | ( |  | ) | const
| inline

Definition at line 76 of file clEvaluator.h.

cl_mem GetDvWeightsBuffer | ( |  | ) | const
| inline

Definition at line 77 of file clEvaluator.h.

cl_mem GetIndicesBuffer | ( |  | ) | const
| inline

Definition at line 74 of file clEvaluator.h.

int GetNumStencils | ( |  | ) | const
| inline

Definition at line 78 of file clEvaluator.h.

cl_mem GetOffsetsBuffer | ( |  | ) | const
| inline

Definition at line 73 of file clEvaluator.h.

cl_mem GetSizesBuffer | ( |  | ) | const
| inline

Definition at line 72 of file clEvaluator.h.

cl_mem GetWeightsBuffer | ( |  | ) | const
| inline

Definition at line 75 of file clEvaluator.h.

The documentation for this class was generated from the following file:

- opensubdiv/osd/clEvaluator.h